Subject: bug#21965: 24.5; Emacs freezes when canceling at open file

From: John Wiegley <[email-masked]>
Date: Fri, 20 Nov 2015 15:26:10 -0800

>>>>> Maneesh Yadav <[email-masked]> writes:

> Ok I just did it again had to mash Ctrl-g a little (still not sure if it is
> Ctrl-g-g or Ctrl-g Ctrl-g that triggers it) but a similar backtrace. Just
> confirming I could replicate it 'on command' (sort of).

Ok, the next step will be to build you Emacs with debugging, and see if that
adds more to the trace. We may need to start adding some print statements, to
find out if `wait_reading_process_output' is really the blocking call.

John